[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.LoadFromMimeStream

Loads image data from a stream for the specified MIME type.

## Declaration

Source position: graphics.pp line 1318

`public procedure TRasterImage.LoadFromMimeStream(`
`AStream: TStream;`
`const AMimeType: string`
`); override;`

## Arguments

`AMimeType` |  | MIME type for the image data in the stream.

## Description

LoadFromMimeStream is an overridden method in TRasterImage.

LoadFromMimeStream examines the ClassType for the image to determine if it is handled in the overridden method. TBitmap, TPixmap, and TCustomIcon descendants are handled in the method.

LoadFromMimeStream compares the value in AMimeType to the PredefinedClipboardMimeTypes values defined in LCL. If AMimeType matches one of the values defined for TPixmap or TBitmap, then the LoadFromStream method is called to load image data from AStream.

Other ClassType or MIME type values cause the inherited LoadFromMimeStream method to be called.

LoadFromMimeStream is used in the implementation of the AssignGraphic method in TClipboard.

## See also

TGraphic.LoadFromMimeStream |  | Loads the from the specified stream for the given MIME type.
TClipboard |  | Represents the clipboard on platforms supported for the LCL.